﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaCourse>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script>

        deleterecord("MaCourse");
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Course List</h1>
</div>
<ul class="breadcrumb">
 @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
      string refadd = CommonUtil.HomeAddress(utype);
    }



    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.CourseName)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Cdate)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Status)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                      string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.CourseName)
                            </td>
                            <td>
                                @{
                        string cdate = String.Format("{0:dd MMM,yyyy}", item.Cdate);
                                }
                                @cdate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Status)
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                  @{int roleid = StaticLogic.RoleId();
                                    if (Permission.CheckPermission(roleid, CommonUtil.Course, UserAction.Delete) == true)
                                    {
                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaCourse", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                    }
                                                                                                                                                                                                
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
